> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a like for a post

> Create a like for a post. <h3>OAuth</h3>Required scopes: <code>feed</code>



## OpenAPI

````yaml /assets/openapi.json post /feed/posts/v1/{id}/likes
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /feed/posts/v1/{id}/likes:
    post:
      tags:
        - Feed
      summary: Create a like for a post
      description: >-
        Create a like for a post. <h3>OAuth</h3>Required scopes:
        <code>feed</code>
      operationId: createLikeForPost
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
          description: The id of the post.
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  like:
                    $ref: '#/components/schemas/postLike'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - OAuth2:
            - feed
components:
  schemas:
    postLike:
      type: object
      properties:
        commentRef:
          description: ID of the comment that was liked.
          type: string
          format: uuid
        createDate:
          description: ISO timestamp of when the like was created.
          type: string
          format: date-time
        id:
          description: Unique identifier of the like.
          type: string
          format: uuid
        membership:
          description: Membership of the user who liked.
          type: object
          properties:
            id:
              description: Unique identifier of the membership.
              type: string
              format: uuid
            user:
              description: User associated with the membership.
              type: object
              properties:
                deleteDate:
                  description: ISO timestamp of when the user was deleted.
                  type: string
                  format: date-time
                id:
                  description: Unique identifier of the user.
                  type: string
                  format: uuid
                name:
                  description: User first name.
                  nullable: true
                  type: string
                photoUrl:
                  description: URL of the user's profile photo.
                  nullable: true
                  type: string
                surname:
                  description: User last name.
                  nullable: true
                  type: string
              required:
                - id
              additionalProperties: false
          required:
            - id
          additionalProperties: false
        postRef:
          description: ID of the post that was liked.
          type: string
          format: uuid
      required:
        - createDate
        - id
        - membership
        - postRef
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read invoices
            invoices: Read and write invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````